> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.arb.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Send email verification code

> Sends a verification code to the user's email address for email confirmation. Codes are rate-limited to prevent abuse.



## OpenAPI

````yaml api-reference/auth.yaml post /users/email/send-verification
openapi: 3.0.3
info:
  title: auth
  description: >-
    The Auth Service is the single source of truth for all accounts and their
    permissions, managing authentication and access control across the platform.
    It maintains efficiency at scale by issuing access tokens to accounts when
    they log into the platform and providing public keys for other services to
    verify them.
  version: 1.0.0
servers:
  - url: https://auth.platform.arb.inc
security: []
tags:
  - name: /
  - name: authenticate
  - name: internal
  - name: organizations
  - name: sessions
  - name: users
paths:
  /users/email/send-verification:
    post:
      tags:
        - users
      summary: Send email verification code
      description: >-
        Sends a verification code to the user's email address for email
        confirmation. Codes are rate-limited to prevent abuse.
      operationId: sendEmailVerification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
              properties:
                email:
                  type: string
                  format: email
                  description: User's email address
                  example: user@example.com
      responses:
        '200':
          description: Verification code sent successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  codeLength:
                    type: integer
                    description: Length of the verification code
                    example: 8
                  validForSeconds:
                    type: integer
                    description: Number of seconds the code is valid
                    example: 600
                  retryInSeconds:
                    type: integer
                    description: Number of seconds before a new code can be requested
                    example: 60
        '404':
          description: Account not found
        '409':
          description: Email is already verified
        '423':
          description: Account is locked
        '429':
          description: Too many requests

````